import type Description from './description.vue';
export declare const descriptionProps: {
    readonly border: import("element-plus-secondary/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly column: import("element-plus-secondary/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 3, boolean>;
    readonly direction: import("element-plus-secondary/es/utils").EpPropFinalized<StringConstructor, "vertical" | "horizontal", unknown, "horizontal", boolean>;
    readonly size: {
        readonly type: import("vue").PropType<import("element-plus-secondary/es/utils").EpPropMergeType<StringConstructor, "" | "default" | "small" | "large" | "middle", never>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    readonly title: import("element-plus-secondary/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly extra: import("element-plus-secondary/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
};
export declare type DescriptionInstance = InstanceType<typeof Description>;
